> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Coin Historical Data by ID

> This endpoint allows you to **query the historical data (price, market cap, 24hr volume, ...) at a given date for a coin based on a particular coin ID**

<Tip>
  ### Tips

  * You may obtain the coin ID (API ID) via several ways:
    * Refer to respective coin page and find 'API ID'.
    * Refer to [`/coins/list`](/reference/coins-list) endpoint.
    * Refer to Google Sheets [here](https://docs.google.com/spreadsheets/d/1wTTuxXt8n9q7C4NDXqQpI3wpKu1_5bGVmP9Xz0XGSyU/edit?usp=sharing).
</Tip>

<Note>
  ### Note

  * The data returned is at `00:00:00 UTC`
  * The last completed UTC day (00:00) is available 35 minutes after midnight on the next UTC day (00:35).
</Note>


## OpenAPI

````yaml api-reference/coingecko-pro.json get /coins/{id}/history
openapi: 3.0.0
info:
  title: CoinGecko Pro API
  version: 3.0.0
servers:
  - url: https://pro-api.coingecko.com/api/v3
security:
  - apiKeyAuth: []
  - apiKeyQueryParam: []
paths:
  /coins/{id}/history:
    get:
      tags:
        - Coins
      summary: Coin Historical Data by ID
      description: >-
        This endpoint allows you to **query the historical data (price, market
        cap, 24hrs volume, ...) at a given date for a coin based on a particular
        coin ID**
      operationId: coins-id-history
      parameters:
        - name: id
          in: path
          description: |-
            coin ID 
             *refers to [`/coins/list`](/reference/coins-list).
          required: true
          schema:
            type: string
            example: bitcoin
            default: bitcoin
        - name: date
          in: query
          description: date of data snapshot (`YYYY-MM-DD`)
          required: true
          schema:
            type: string
            default: '2024-01-01'
          examples:
            iso_date:
              value: '2024-01-01'
        - name: localization
          in: query
          description: 'include all the localized languages in response, default: true'
          required: false
          schema:
            type: boolean
      responses:
        '200':
          description: >-
            Get historical data (name, price, market, stats) at a given date for
            a coin
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CoinsHistoricalData'
components:
  schemas:
    CoinsHistoricalData:
      type: object
      properties:
        id:
          type: string
          description: coin ID
        symbol:
          type: string
          description: coin symbol
        name:
          type: string
          description: coin name
        localization:
          type: object
          description: coin localization
          additionalProperties:
            type: string
        image:
          type: object
          description: coin image url
          properties:
            thumb:
              type: string
            small:
              type: string
        market_data:
          type: object
          description: coin market data
          properties:
            current_price:
              type: object
              description: coin current price
              properties:
                btc:
                  type: number
                eur:
                  type: number
                usd:
                  type: number
            market_cap:
              type: object
              description: coin market cap
              properties:
                btc:
                  type: number
                eur:
                  type: number
                usd:
                  type: number
            total_volume:
              type: object
              description: coin total volume
              properties:
                btc:
                  type: number
                eur:
                  type: number
                usd:
                  type: number
        community_data:
          type: object
          description: coin community data
          properties:
            facebook_likes:
              type: number
              description: coin facebook likes
            reddit_average_posts_48h:
              type: number
              description: coin reddit average posts 48h
            reddit_average_comments_48h:
              type: number
              description: coin reddit average comments 48h
            reddit_subscribers:
              type: number
              description: coin reddit subscribers
            reddit_accounts_active_48h:
              type: number
              description: coin reddit accounts active 48h
        developer_data:
          type: object
          description: coin developer data
          properties:
            forks:
              type: number
              description: coin repository forks
            stars:
              type: number
              description: coin repository stars
            subscribers:
              type: number
              description: coin repository subscribers
            total_issues:
              type: number
              description: coin repository total issues
            closed_issues:
              type: number
              description: coin repository closed issues
            pull_requests_merged:
              type: number
              description: coin repository pull requests merged
            pull_request_contributors:
              type: number
              description: coin repository pull request contributors
            code_additions_deletions_4_weeks:
              type: object
              description: coin code additions deletions 4 weeks
              properties:
                additions:
                  type: number
                deletions:
                  type: number
            commit_count_4_weeks:
              type: number
              description: coin commit count 4 weeks
        public_interest_stats:
          type: object
          description: coin public interest stats
          properties:
            alexa_rank:
              type: number
              description: coin alexa rank
            bing_matches:
              type: number
              description: coin bing matches
      example:
        id: bitcoin
        symbol: btc
        name: Bitcoin
        localization:
          en: Bitcoin
          de: Bitcoin
          es: Bitcoin
          fr: Bitcoin
          it: Bitcoin
          pl: Bitcoin
          ro: Bitcoin
          hu: Bitcoin
          nl: Bitcoin
          pt: Bitcoin
          sv: Bitcoin
          vi: Bitcoin
          tr: Bitcoin
          ru: Биткоин
          ja: ビットコイン
          zh: 比特币
          zh-tw: 比特幣
          ko: 비트코인
          ar: بيتكوين
          th: บิตคอยน์
          id: Bitcoin
          cs: Bitcoin
          da: Bitcoin
          el: Bitcoin
          hi: Bitcoin
          'no': Bitcoin
          sk: Bitcoin
          uk: Bitcoin
          he: Bitcoin
          fi: Bitcoin
          bg: Bitcoin
          hr: Bitcoin
          lt: Bitcoin
          sl: Bitcoin
        image:
          thumb: >-
            https://assets.coingecko.com/coins/images/1/thumb/bitcoin.png?1696501400
          small: >-
            https://assets.coingecko.com/coins/images/1/small/bitcoin.png?1696501400
        market_data:
          current_price:
            aed: 154530.091081427
            ars: 33947900.261883
            aud: 61738.4056950475
            bch: 165.381674946306
            bdt: 4617857.43751472
            bhd: 15859.4297419179
            bmd: 42074.7071561885
            bnb: 134.15687497174
            brl: 204167.474400698
            btc: 1
            cad: 55797.3728951794
            chf: 35380.4108741032
            clp: 37070945.9743491
            cny: 297872.096782952
            czk: 941726.6142466
            dkk: 284202.024427907
            dot: 5078.18455042231
            eos: 49611.9119761598
            eth: 18.2965432154039
            eur: 38057.7086398657
            gbp: 33025.6578133999
            gel: 113180.962250147
            hkd: 328622.396508053
            huf: 14607917.5775571
            idr: 647533950.604456
            ils: 151504.709263362
            inr: 3501412.9510955
            jpy: 5933586.69083973
            krw: 54466970.6549007
            kwd: 12928.7160149536
            lkr: 13628686.3687709
            ltc: 573.662179787236
            mmk: 88364275.7448308
            mxn: 714058.270089106
            myr: 193333.279382686
            ngn: 37725865.4245248
            nok: 429848.167317426
            nzd: 66531.8087825235
            php: 2330938.69230343
            pkr: 11705926.3598065
            pln: 165640.548626626
            rub: 3755167.36124159
            sar: 157780.151835706
            sek: 423808.006507498
            sgd: 55568.0657411781
            sol: 1270.646
            thb: 1438863.97715007
            try: 1240206.60639855
            twd: 1291001.38076227
            uah: 1599892.6750506
            usd: 42074.7071561885
            vef: 4212.94042754915
            vnd: 1021106970.8227
            xag: 1768.32799402537
            xau: 20.3961350410339
            xdr: 31351.757663898
            xlm: 324963.641046826
            xrp: 67529.863610982
            yfi: 5.11694276059855
            zar: 769994.699891437
            bits: 1000195.71393105
            link: 2709.66083650503
            sats: 100019571.393105
          market_cap:
            aed: 3022434823129.84
            ars: 663982757051427
            aud: 1207533794818.66
            bch: 3239927812.61396
            bdt: 90320099015790.6
            bhd: 310192612917.673
            bmd: 822933961870.542
            bnb: 2629923038.04924
            brl: 3993286227042.84
            btc: 19584275
            cad: 1091498460326.99
            chf: 692169755329.313
            clp: 725066019537891
            cny: 5826043276458.69
            czk: 18419113668077
            dkk: 5558672032246.96
            dot: 99489102293.3619
            eos: 971966018054.879
            eth: 358260658.630535
            eur: 744365987728.877
            gbp: 645995753662.719
            gel: 2213692357431.75
            hkd: 6427484562491.77
            huf: 285714442221834
            idr: 12665035966583838
            ils: 2963261756601.54
            inr: 68483700226206.6
            jpy: 116054283764085
            krw: 1065312701660270
            kwd: 252871147803.58
            lkr: 266561780855891
            ltc: 11241964101.6977
            mmk: 1728305874039080
            mxn: 13966176853697.3
            myr: 3781381554795.15
            ngn: 737875507571602
            nok: 8407346818129.71
            nzd: 1301287369358.73
            php: 45590539841760.1
            pkr: 228954757091481
            pln: 3239742879771.2
            rub: 73446851159342
            sar: 3086002357014.53
            sek: 8289208064431.51
            sgd: 1086848883442.42
            sol: 24257046694416.7
            thb: 28142561489813.1
            try: 24257046694416.7
            twd: 25250535365752.9
            uah: 31292101755089.6
            usd: 822933961870.542
            vef: 82400377602.0975
            vnd: 19971704184972804
            xag: 34586507200.3442
            xau: 398925467.356364
            xdr: 613205127018.025
            xlm: 6366989968394.3
            xrp: 1322171541704.13
            yfi: 100197984.577011
            zar: 15060230523976
            bits: 19587833186725.1
            link: 53027090934.8881
            sats: 1958783318672510
          total_volume:
            aed: 91203312150.0806
            ars: 20035974370796.5
            aud: 36437868164.374
            bch: 97607892.5371449
            bdt: 2725449072027.67
            bhd: 9360199758.84335
            bmd: 24832397519.0506
            bnb: 79179085.8304717
            brl: 120499184128.796
            btc: 590313.260481799
            cad: 32931483969.889
            chf: 20881438911.7821
            clp: 21879188925189.9
            cny: 175803441475.871
            czk: 555804929370.771
            dkk: 167735395521.931
            dot: 2997133098.58748
            eos: 29280838849.3072
            eth: 10798578.6487541
            eur: 22461574030.7143
            gbp: 19491668952.2309
            gel: 66799149326.2464
            hkd: 193952199202.669
            huf: 8621560094639.22
            idr: 382173081057941
            ils: 89417738606.4736
            inr: 2066526047518
            jpy: 3501989517686
            krw: 32146283560336.6
            kwd: 7630499109.6539
            lkr: 8043620037935.51
            ltc: 338574128.091738
            mmk: 52152396774457.3
            mxn: 421435584775.312
            myr: 114104866600.038
            ngn: 22265720911481.5
            nok: 253695421433.057
            nzd: 39266923884.1294
            php: 1375714772890.61
            pkr: 6908811405778.09
            pln: 97760679200.9487
            rub: 2216291329580.89
            sar: 93121490696.4396
            sek: 250130532110.017
            sgd: 32796147403.4102
            sol: 731967149325.999
            thb: 849214282675.698
            try: 731967149325.999
            twd: 761946110895.665
            uah: 944253057952.188
            usd: 24832397519.0506
            vef: 2486467963.58254
            vnd: 602655037260634
            xag: 1043663204.32594
            xau: 12037753.021335
            xdr: 18503736849.333
            xlm: 191792809959.604
            xrp: 39855973598.8211
            yfi: 3020008.10704923
            zar: 454449139819.002
            bits: 590313260481.799
            link: 1599235730.48563
            sats: 59031326048179.9
        community_data:
          facebook_likes: null
          reddit_average_posts_48h: 0
          reddit_average_comments_48h: 0
          reddit_subscribers: null
          reddit_accounts_active_48h: null
        developer_data:
          forks: 36262
          stars: 72871
          subscribers: 3961
          total_issues: 7736
          closed_issues: 7377
          pull_requests_merged: 11204
          pull_request_contributors: 846
          code_additions_deletions_4_weeks:
            additions: 973
            deletions: -290
          commit_count_4_weeks: 163
        public_interest_stats:
          alexa_rank: null
          bing_matches: null
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-cg-pro-api-key
    apiKeyQueryParam:
      type: apiKey
      in: query
      name: x_cg_pro_api_key

````